Skip to main content
POST
/
project-revenue-adjustments
Create a project revenue adjustment
curl --request POST \
  --url https://www.ruddr.io/api/workspace/project-revenue-adjustments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "date": "2023-12-25",
  "amount": 123,
  "projectId": "<string>",
  "notes": "<string>"
}
'
import requests

url = "https://www.ruddr.io/api/workspace/project-revenue-adjustments"

payload = {
"date": "2023-12-25",
"amount": 123,
"projectId": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({date: '2023-12-25', amount: 123, projectId: '<string>', notes: '<string>'})
};

fetch('https://www.ruddr.io/api/workspace/project-revenue-adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "7a2ca708-c65e-45a7-90b2-58c136935981",
  "date": "2026-03-01",
  "revenueType": "products",
  "amount": 3200,
  "notes": "Hardware resale margin",
  "createdAt": "2026-03-01T14:25:33.718Z",
  "project": {
    "id": "4c7a0c47-eb65-4231-8dfb-71c9a322fcb7",
    "name": "Cloud Migration",
    "client": {
      "id": "ee8a1303-9d0f-45de-8439-3145f2ec7507",
      "name": "Sterling Cooper"
    }
  }
}
Manual positive or negative adjustments to a project’s earned revenue. They affect earned revenue only and never change invoiced revenue. Available on billable projects.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
date
string<date>
required

The date (YYYY-MM-DD) of the adjustment.

revenueType
enum<string>
required

The category of earned revenue this adjustment applies to.

Available options:
services,
expenses,
products,
other_items
amount
number
required

The adjustment amount. Positive values increase earned revenue and negative values decrease it.

projectId
string
required

The project ID (uuid) for this adjustment.

notes
string | null

Any notes about the adjustment (max 255 chars).

Response

200

id
string

The unique identifier for the object.

date
string<date>

The date of the adjustment. Will be in the form YYYY-MM-DD.

revenueType
enum<string>

The category of earned revenue this adjustment applies to.

Available options:
services,
expenses,
products,
other_items
amount
number

The adjustment amount. Positive values increase earned revenue and negative values decrease it.

notes
string | null

Any notes about the adjustment.

createdAt
string<date-time>

The timestamp when the object was created.

project
object

The project this adjustment belongs to.